/*GENERAL*/
@import url("https://fonts.googleapis.com/css2?family=Anonymous+Pro:wght@400;700&family=Dancing+Script:wght@400;600&family=Lugrasimo&family=Poppins:wght@100;200;300;400;600&display=swap");

* {
  padding: 0;
  margin: 0;
}

body {
  /*font-family: "Anonymous Pro", monospace;
    font-family: "Dancing Script", cursive;
    font-family: "Lugrasimo", cursive;*/
  font-family: "poppins", sans-serif;
  background-color: #f0f8ff;
  background: linear-gradient(
      rgba(240, 248, 255, 0.95),
      rgba(240, 248, 255, 0.95)
    ),
    url(assets/background.svg);
  background-position: 0 0, 50% 0;
}

html {
  scroll-behavior: smooth;
}

p {
  color: rgb(30, 29, 29);
}

/*TRANSITIONS*/

a,
.btn {
  transition: all 300ms ease;
}

/*DESKTOP NAV*/

nav,
.nav-links {
  display: flex;
}

.logo {
  color: black;
  font-family: "Dancing Script", cursive;
  font-size: 32px;
  cursor: default;
}

nav {
  justify-content: space-around;
  align-items: center;
  height: 17vh;
}

.nav-links {
  list-style: none;
  gap: 32px;
  font-size: 24px;
}

a {
  color: black;
  text-decoration: none;
  text-decoration-color: black;
}

a:hover {
  color: rgb(75, 75, 75);
  text-decoration-color: rgb(75, 75, 75);
}
.nav-links li:hover {
  transform: translateY(-1rem);
  transition: ease 0.5s;
}

/*HAMBURGER MENU*/

#hamburger-nav {
  display: none;
}

.hamburger-menu {
  position: relative;
  display: inline-block;
}

.hamburger-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 24px;
  width: 30px;
  cursor: pointer;
}

.hamburger-icon span {
  width: 100%;
  height: 5px;
  border-radius: 25px;
  background-color: black;
  transition: all 0.3 ease-in-out;
}

.menu-links {
  position: absolute;
  top: 100%;
  right: 0;
  background-color: white;
  width: fit-content;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3 ease-in-out;
}

.menu-links a {
  display: block;
  padding: 10px;
  text-align: center;
  font-size: 24px;
  color: black;
  text-decoration: none;
  transition: all 0.3 ease-in-out;
}

.menu-links li {
  list-style: none;
}

.menu-links.open {
  max-height: 300px;
}

.hamburger-icon.open span:first-child {
  transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
  opacity: 0;
}

.hamburger-icon.open span:last-child {
  transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
  transform: none;
}

.hamburger-icon span:first-child {
  opacity: 1;
}

.hamburger-icon span:first-child {
  transform: none;
}

/*SECTIONS*/

section {
  height: 96vh;
  margin: 0 100;
  box-sizing: border-box;
  min-height: fit-content;
}

.section-container {
  display: flex;
}

/* PROFILE SECTION */

#profile {
  display: flex;
  justify-content: center;
  gap: 100px;
}

.pic-container {
  height: 400px;
  width: 400px;
  border-radius: 50%;
  align-items: center;
}

.section-pic-container {
  display: flex;
  margin: auto 0;
}

.section_text {
  align-self: center;
  text-align: center;
}

.section_text p {
  font-weight: 600;
}

.section__text__p1 {
  text-align: center;
}

.section__text__p {
  text-align: center;
  font-size: 16px;
  margin-bottom: 16px;
}

.section__text__p2 {
  line-height: 50px;
  font-size: 20px;
}

.title {
  font-size: 48px;
  text-align: center;
  font-weight: 600;
  font-family: "Dancing Script", cursive;
}

#social-container {
  display: flex;
  justify-content: center;
  margin-top: 16px;
  gap: 16px;
}

/* ICONS */

.icon {
  cursor: pointer;
  height: 48px;
}

/* BUTTONS */

.btn-container {
  display: flex;
  justify-content: center;
  gap: 16px;
}

.btn {
  font-weight: 600;
  transition: all 300ms ease;
  width: 150px;
  padding: 16px;
  border-radius: 50px;
}

.btn-color-1,
.btn-color-2 {
  border: rgb(29, 28, 28) 1.6px solid;
}

.btn-color-1:hover,
.btn-color-2:hover {
  cursor: pointer;
}

.btn-color-1,
.btn-color-2:hover {
  cursor: pointer;
  background: rgb(53, 53, 53);
  color: white;
}

.btn-color-1:hover {
  background: rgb(0, 0, 0);
}

.btn-color-2 {
  background: none;
}

.btn-color-2:hover {
  border: rgb(255, 255, 255) 1.6px solid;
}

.btn-container {
  gap: 16px;
}

/* ABOUT SECTION */

#about {
  position: relative;
  padding: 20px;
  align-items: center;
}

.about-containers {
  gap: 32px;
  margin-bottom: 32px;
  margin-top: 32px;
}

.about-containers,
.about-details-container {
  display: flex;
}

.about-details-container .about-containers .details-container:hover {
  transform: translateY(-1rem);
  transition: ease 0.3s;
}

.about-details-container {
  justify-content: center;
  flex-direction: column;
}

.text-container {
  display: block;
  text-align: center;
}

.text-container p {
  text-align: center;
}

.about-pic {
  margin-left: 50px;
  margin-bottom: 32px;
  border-radius: 50px;
}

.details-container {
  padding: 24px;
  flex: 1;
  background: white;
  border-radius: 32px;
  border: rgb(18, 18, 18) 1.6px solid;
  border-color: rgb(163, 163, 163);
  text-align: center;
  justify-content: flex-start;
}

.arrow {
  position: absolute;
  right: -5px;
  bottom: 10px;
  height: 30px;
  width: 30px;
}

.details-container {
  padding: 24px;
  flex: 1;
  background: white;
  border-radius: 32px;
  border: rgb(24, 24, 24) 1.6px solid;
  border-color: rgb(163, 163, 163);
  text-align: center;
}

.section-container {
  gap: 64px;
  height: 80%;
  display: flex;
  justify-content: center;
}

.section-pic-container {
  height: 400px;
  width: 400px;
  margin: auto 0;
}

/* SKILLS SECTION*/

#skills {
  position: relative;
}

.skills-sub-title {
  color: rgb(29, 29, 29);
  font-weight: 600;
  font-size: 28px;
  margin-bottom: 32px;
}

.skills-details-container {
  padding: 20px;
  display: flex;
  justify-content: center;
  flex-direction: column;
}


.article-container {
  display: flex;
  text-align: initial;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 40px;
  justify-content: space-around;
}

article {
  display: flex;
  width: 160px;
  flex-wrap: wrap;
  gap: 8px;
}

article:hover {
  transform: translateY(-1rem);
  transition: ease 0.5s;
}

.icon {
  cursor: pointer;
  height: 2rem;
}

article .icon {
  cursor: default;
}


.marquee-images{
  width: 100%;
  height: 30px;
  height: fit-content;
  justify-content: space-between;
}

.marquee-images .img{
  height: 55px;
  width: 55px;
}

/* PROJECTS SECTION */

#projects {
  position: relative;
}

.color-container {
  border-color: rgb(163, 163, 163);
  background: rgb(250, 250, 250);
}

.color-container:hover {
  transform: translateY(-1rem);
  transition: ease 0.3s;
}
.project-img {
  border-radius: 32px;
  width: 90%;
  height: 90%;
}

.project-title {
  margin: 16px;
  color: black;
}

.project-btn {
  color: black;
  border-color: rgb(163, 163, 163);
}

/* CONTACT */

#contact {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 70vh;
}

.contact-info-upper-container {
  display: flex;
  justify-content: center;
  border-radius: 32px;
  border: rgb(53, 53, 53) 0.1rem solid;
  border-color: rgb(163, 163, 163);
  background: (250, 250, 250);
  margin: 32px auto;
  padding: 8px;
}

.contact-info-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  margin: 16px;
}

.contact-info-container p {
  font-size: larger;
}

.contact-icon {
  cursor: default;
}

.email-icon {
  height: 40px;
}

/* FOOTER SECTION */

footer {
  height: 26vh;
  margin: 0 16px;
}

footer p {
  text-align: center;
}
